Package: org.gradle.testkit.runner

## [Java] Class InvalidRunnerConfigurationException

- org.gradle.testkit.runner.InvalidRunnerConfigurationException

- Thrown when a build cannot be executed due to the runner being in an invalid state.

  See Also:
    GradleRunner.build
    GradleRunner.buildAndFail
  Since:
    2.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidRunnerConfigurationException (String s)`
    `InvalidRunnerConfigurationException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class IllegalStateException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidRunnerConfigurationException(String s)

    - #### public InvalidRunnerConfigurationException(String message, Throwable cause)